function MessageFromMenu(nCount,Param1)
-- if Param1==2000029 then
	-- CreateWindow(200,200,"9",100,"messageinfo") 
-- return;end;
showoptons(0);
return;end;

function mini_create ()
	show_help_wnd=true;	
	init_mini(1);
	create_mini(19,9,30,107,57,416,609,1001,3,8,0,1000);
end;
--function mini_msg_proc (id)
function gameinput (sender,id,attachedID)

	
	if sender==16 then
		if not help then
			help=true;
			CreateWindow(200,200,"9",100,"messageinfo")
		end;		
	   BlockCursor(false);
	return;end;
	if sender==30 then
		setcurentleaf("cherdak",5,2);
		DarkScreen(false);
		if flags.minicomplete8 then
		    StopEmiter("Furniture")	
			speciale_action(2,346,true);
			speciale_action(2,305,true);
			setcolor(346,0,0,0,1,1);
			setcolor(305,0,0,0,1,1);
			Set_Cursor(45,3);
			savegame(SaveLevel())
		return;end;	
	return; end;
	if sender==36 then
	if id==2100 then
		BlockCursor(false);
		clear_satelite_leaf("cherdak");
	return;end;	
	return;end;
	if sender==37 then
	   skipping=true;
	return;end;	
	if sender==10 then
		flags.minicomplete8=true;
		playeffect("miniC");
		StartTimer(2100,2);
		BlockCursor(true);
	return; end;
	
	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	return;end;		
	if sender==1 then	
		if id==6000 then
			CreateWindow(200,200,"9",100,"messageinfo") 
		return;end;			
		-- if id==1026 then
		   -- clear_satelite_leaf("robert_room");
		-- return;end;
		
		if objectid==0 then
		if id==5000 and skipping then
			if not flags.minicomplete8 then
				playeffect("skip");	
				SkipMini();
			return;end;		
		return;end;			
			if id==1021 then
				playeffect("skip");
				clear_satelite_leaf("cherdak");
				finish_mini_game(false)
				DeleteResource("xm_parts");
				DeleteResource("xm_parts1");
				DeleteResource("xm_bg");
				DeleteResource("xm_btn");			
			return;end;
			if not flags.minicomplete8 then			
				if id>=1001 and id<=1009 then --нажимаем на часть телеграммы
					add_to_mouse(id);
					mousepresed=true;
					objectid=id;
				return 0; end	
			return; end; 
		return; end; 	
	return; end;  	

	if sender == 6 --Отпустили левую кнопку мышки
	then		
		if mousepresed==true
		then
			playeffect("pclick");
			RemoveFromMouse(objectid);
			check_mini_game_puzzle(objectid);
			mousepresed=false;
			objectid=0;
		end
	return; end;	
			
end;
function mini_delete ()

end;